Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.concurrency
Class LockingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jasig.portal.PortalException
                  org.jasig.portal.concurrency.LockingException

All Implemented Interfaces:
  java.io.Serializable

    public class LockingException

extends PortalException

A `LockingException` describes a problem that has arisen during an attempt to create or alter an `IEntityLock`. If the problem occurs in the lock store, the `LockingException` should wrap an `Exception` specific to the store, like a `java.sql.SQLException`.

Version:
  $Revision: 1.4 $
Author:
  Dan Ellentuck
See Also:
  Serialized Form

Constructor Summary
`LockingException()` Deprecated. use a more informative constructor
`LockingException(java.lang.String msg)` Instantiate a LockingException with the given message.
`LockingException(java.lang.String msg, java.lang.Throwable cause)` Instantiate a LockingException with the given message and underlying cause.
`LockingException(java.lang.Throwable cause)` Instantiate a LockingException with the given cause.

Method Summary
`int` | `getExceptionCode()` Deprecated.

Methods inherited from class org.jasig.portal.PortalException
`allowRefresh, allowReinstantiation, getErrorID, getParameter, getRecordedException, getTimestamp, isLogPending, isRefreshable, isReinstantiable, setErrorID, setLogPending, setParameter, setRecordedException, setRefreshable, setReinstantiable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockingException

    public LockingException()

  Deprecated. use a more informative constructor

  Instantiate a bare LockingException. Deprecated because it would be so much more helpful if you were to instead throw an exception that provides a message

### LockingException

    public LockingException(java.lang.Throwable cause)

  Instantiate a LockingException with the given cause.

  Parameters:
    `cause` - Throwable that caused the locking problem

### LockingException

    public LockingException(java.lang.String msg)

  Instantiate a LockingException with the given message.

  Parameters:
    `msg` - message describing nature of locking problem

### LockingException

    public LockingException(java.lang.String msg,
                            java.lang.Throwable cause)

  Instantiate a LockingException with the given message and underlying cause.

  Parameters:
    `msg` - message describing nature of locking problem
    `cause` - underlying cause

Method Detail

### getExceptionCode

    public int getExceptionCode()

  Deprecated.

  This method always returns zero. It is deprecated and will presumably be removed in the future.

  Returns:
    0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD